/****************************************************************************
 *
 * program
 *
 * Description
 *
 * Copyright (C) 2007 Moreno Marzolla
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 ****************************************************************************/

#ifndef BPEL_INVOKEACTIVITY_HH
#define BPEL_INVOKEACTIVITY_HH

#include "Activity.hh"

class WSDLOperation;

/**
 * This class represents an invoke activity
 */
class InvokeActivity : public Activity {
protected:
    WSDLOperation* m_op;
public:
    InvokeActivity( const std::string& name, WSDLOperation* operation );
    virtual ~InvokeActivity( ) { };

    void describe( void ) const;

    WSDLOperation* get_operation( void ) const { return m_op; };

    void accept( ActivityVisitor* v );
};

#endif
