/****************************************************************************
 *
 * DummyActivity.cc
 *
 * This file is part of bpel2qnbound
 *
 * Copyright (C) 2007 Moreno Marzolla
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 ****************************************************************************/

#include <iostream>
#include "DummyActivity.hh"
#include "ActivityVisitor.hh"

using namespace std;

DummyActivity::DummyActivity( const std::string& name ) :
    Activity( name )
{

}

void DummyActivity::describe( ) const
{
    cout << "This is a Dummy Activity named \"" << get_name() 
         << "\"" << endl;
}

void DummyActivity::accept( ActivityVisitor* v )
{
    v->visit_dummy( this );
}
